#include "mainwindow.h"
#include "ui_mainwindow.h"

#include <QMessageBox>
#include <QKeyEvent>
#include <QDebug>
#include <QKeyEvent>
#include <QPainter>


//nash class
#include "qpaintwidget.h"


MainWindow::MainWindow(QWidget *parent) :
    QMainWindow(parent),
    ui(new Ui::MainWindow)
{
    ui->setupUi(this);

    //       

    wgt = new qpaintwidget(this,ui->tableWidget);

    //    wgt = new qpaintwidget(this);

    //     layout
    ui->verticalLayout->addWidget(wgt);


    QObject::connect(ui->tableWidget, SIGNAL(currentCellChanged(int,int,int,int)), this, SLOT(MyEventHandler()));


}

MainWindow::~MainWindow()
{
    wgt->deleteLater();    // 
    delete ui;
}
void MainWindow::changeEvent(QEvent *e)
{
    QMainWindow::changeEvent(e);
    switch (e->type()) {
    case QEvent::LanguageChange:
        ui->retranslateUi(this);
        break;
    default:
        break;
    }
}
void MainWindow::keyPressEvent(QKeyEvent *e)
{

    ui->tableWidget->item(1,1)->setBackground(Qt::red);

    int i = wgt->xx;                        //      
    int j = wgt->yy;
    int gamer = wgt->bot+1;                 //   - 1 () 2()

    switch(e->key()){
        case Qt::Key_F3:
            wgt->tablo[i][j].a = gamer;
            break;
        case Qt::Key_F4:
            wgt->tablo[i][j].b = gamer;
            break;
        case Qt::Key_F5:
            wgt->tablo[i][j].c = gamer;
            break;
        case Qt::Key_F6:
            wgt->tablo[i][j].d = gamer;
            break;
        }
    wgt->update();

    wgt->xx = ui->tableWidget->currentRow();
   //     ui->tableWidget->->item(1,1)->setBackground(Qt::red);
    wgt->bot = wgt->bot ^= 1;  //     
}

void MainWindow::MyEventHandler()
{
    wgt->xx = ui->tableWidget->currentRow();        //    
    wgt->yy = ui->tableWidget->currentColumn();     //                 
}
 //   qDebug()<<"Myeventhandler";
