#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>
#include <QKeyEvent>

#include "qpaintwidget.h"

namespace Ui {
    class MainWindow;
}

class MainWindow : public QMainWindow
{
    Q_OBJECT

public:
     MainWindow(QWidget *parent = 0);
    ~MainWindow();

public slots:
    void MyEventHandler();
protected:
    void keyPressEvent(QKeyEvent *e);
    void changeEvent(QEvent *e);
public:
    Ui::MainWindow *ui;
    //     
    qpaintwidget *wgt;
};

#endif // MAINWINDOW_H
